org.apache.calcite.avatica

## Enum AvaticaSite.Dummy

- java.lang.Object
- - java.lang.Enum<AvaticaSite.Dummy>
  - - org.apache.calcite.avatica.AvaticaSite.Dummy

All Implemented Interfaces:
  Serializable, Comparable<AvaticaSite.Dummy>

Enclosing class:
  AvaticaSite

    private static enum AvaticaSite.Dummy
    extends Enum<AvaticaSite.Dummy>

Singleton value to denote parameters that have been set to null (as opposed to not set).

Not a valid value for a parameter.

As an enum, it is serializable by Jackson.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE`

### Method Summary

Methods
`static AvaticaSite.Dummy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AvaticaSite.Dummy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTANCE

    public static final AvaticaSite.Dummy INSTANCE

### Method Detail

#### values

    public static AvaticaSite.Dummy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AvaticaSite.Dummy c : AvaticaSite.Dummy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AvaticaSite.Dummy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null